# initiateEscalation

`POST /aps/api/v1/disputes/initiateEscalation`

The **initiateEscalation** API is used by the Mobile Payment Provider (MPP) to send an escalation initiation request to Alipay+. When using this API, the MPP needs to take the following things into consideration:

-   For each transaction, a maximum of **2** escalations can be requested (excluding those that are canceled), while a transaction can have only **1** ongoing escalation.
-   Escalation request time limits:

-   Within **360** days after the original transaction, the MPP can initiate the first escalation;
-   Within **25** days after the first escalation is replied to or closed, the MPP can initiate the second escalation.

-   Escalation amount: The escalation amount cannot exceed the maximum available dispute amount.
-   Special Merchant: Currently this includes Apple and Google. They require additional information for escalation initiation. 

## Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](api_overview#3mLq0)
-   [Response header](api_overview#YdmVS)

> **Note**:
>
> 1.  Set the data type of each parameter (except array) as String. This means that you must use double quotation marks (" ") to enclose the parameter value. Examples:
>
> -   If the data type of a parameter is Integer and its value is 20, set it as "20".
> -   If the data type of a parameter is Boolean and its value is `true`, set it as "true".
>
> 2.  For optional parameters that are not required in your case, you can take one of the following actions:
>
> -   Exclude the parameters from the request body.
> -   Set the parameter values as `null` (without the double quotation marks).
>
> Do NOT leave the optional parameters empty by setting their values as `""`; otherwise, an error might occur.

## Request parameters

#### disputeRequestId (String, REQUIRED)

The unique ID that is assigned by the MPP to identify an escalation.

**Important:** If two requests specify the same value for _disputeRequestId_ but different values for _paymentRequestId_, Alipay+ returns the `REPEAT_REQ_INCONSISTENT` for the second request.

More information:

- This field is an API idempotency field.For requests that are initiated with the same disputeRequestId, Alipay+ regards the requests as repeated and processes the requests only once.  Alipay+ checks the consistency of the paymentRequestId parameter. If its value is different from that in the previous request, Alipay+ returns the REPEAT_REQ_INCONSISTENT result code.
- Maximum length: 64 characters

#### paymentRequestId (String, REQUIRED)

The unique ID that is assigned by Alipay+ to identify a payment where the escalation occurs.

More information:

- Maximum length: 64 characters

#### disputeOccurTime (Datetime)

The date and time when the retrieval request occurs. For MPPs, this parameter refers to the date and time when the MPP sends the retrieval request to Alipay+.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### disputeReasonCode (String, REQUIRED)

The code that reflects the dispute reason. Valid values are: 

-   `7801`: The code for merchandise-related reasons, which is used for an escalation.
-   `7802`: The code for transaction-processing-related reasons, which is used for an escalation.
-   `7803`: The code for fraud-related reasons, which is used for an escalation.

#### disputeReasonCodeDescription (String, REQUIRED)

The detailed description to explain the dispute reason code. Valid values are:

-   `MERCHANDIZE_OR_SERVICE_NOT_RECEIVED`: used if _disputeReasonCode_ is `7801`, indicating that the merchandize or service is not received by the buyer.
-   `NOT_AS_DESCRIBED`: used if _disputeReasonCode_ is `7801`, indicating that the merchandize or service received by the buyer is not as described by the merchant.
-   `REFUND_NOT_PROCESSED`: used if _disputeReasonCode_ is `7802`, indicating that the refund initiated by the MPP is not processed.
-   `AMOUNT_DIFFER`: used if _disputeReasonCode_ is `7802`, indicating that the amount differs.
-   `DUPLICATE_PROCESSED`: used if _disputeReasonCode_ is `7802`, indicating that the transaction is duplicately processed.
-   `PAIDED_BY_OTHER_MEANS`: used if _disputeReasonCode_ is `7802`, indicating that the payment is processed by other means.
-   `USER_DENIED_PARTICIPANTING_IN_A_TRANSACTION`: used if _disputeReasonCode_ is `7803`, indicating that the user denied participating in a transaction.

#### escalationAmount (Amount, REQUIRED)

The escalation amount.

When specifying the child parameters of this parameter, note that:

-   The value of _escalationAmount.value_ cannot exceed the maximum available dispute amount.
-   The value of _escalationAmount.currency_ needs to be the same as the value of _paymentAmount.currency_ that is specified by

##### currency (String, REQUIRED)

The currency code of the amount. The value of this parameter must be an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard, for example, "EUR" for Euros.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The value of the amount as a natural number.

By default, the value of this parameter is in the smallest currency unit as listed in [the Current Currency & Funds list](https://www.currency-iso.org/en/home/tables/table-a1.html). In the list, the Minor unit column defines the number of decimals, which determines the smallest unit of a currency. For example, if the currency is USD and the amount is $1.00 (2 decimals), set the value of this parameter to 100; or if the currency is JPY and the amount is ￥1 (0 decimal), set the value of this parameter to 1.

More information:

- Value range: 1 - unlimited

#### merchantDisputeId (String)

The unique ID that is assigned by the merchant to identify an escalation.

Specify this parameter for transactions of Special Merchants.

More information:

- Maximum length: 32 characters

#### customerIdAssignedByMerchant (String)

The unique ID that is assigned by the merchant to identify a customer. 

Specify this parameter for the transactions of Special Merchants. For Apple or Google, the value of this parameter is provided by the user.

More information:

- Maximum length: 32 characters

#### merchantNotRefundRecord (Array<Attachment>)

The list of supporting documents that are used to prove that the merchant does not refund.

Specify this parameter for the transactions of Special Merchants. For Apple or Google, the documents are provided by the user.

##### attachmentType (String, REQUIRED)

The attachment type. Valid values are:

-   `ARTICLES_OF_ASSOCIATION`: indicates the articles of association.
-   `ENTERPRISES_ANNUAL_INSPECTION_REPORT`: indicates the enterprise annual inspection report.
-   `PROOF_OF_ADDRESS`: indicates the proof of address.
-   `OTHER_MATERIAL`: indicates other materials.
-   `REGISTRATION_CERTIFICATE`: indicates the registration certificate.
-   `TRANSACTION_RECEIPT`: indicates the transaction receipt.
-   `PROOF_OF_DELIVERY`: indicates the proof of delivery.
-   `MERCHANT_INFORMATION`: indicates the merchant information.
-   `END_USER_INFORMATION`: indicates the information of the end-user, also called the buyer.
-   `OTHER_DOCUMENTATION`: indicates other documents.
-   `MERCHANT_NOT_REFUND_RECORDS`: indicates the supporting documents that are used to prove that the merchant does not refund.
-   `SUPPORTING_DOCUMENTATION`: indicates the supporting documents.

##### file (String)

The attachment file.

Specify this parameter if _content_ is not specified.

More information:

- Maximum length: 1024 characters

##### attachmentName (String)

The name of the attachment.

More information:

- Maximum length: 128 characters

##### content (String)

The attachment content in Base64 format. 

Specify this parameter if _file_ is not specified.

More information:

- Maximum length: 2048000 characters

##### contentType (String)

The type of content format. Valid values are `pdf`, `doc`, `docx`, `xls`, `xlsx`, `bmp`, `jpg`, `jpeg`, `png`, and `gif`.

Specify this parameter if _content_ is specified.

More information:

- Maximum length: 8 characters

#### supportingDocumentation (Array<Attachment>)

The list of documents that are used to support the escalation.

##### attachmentType (String, REQUIRED)

The attachment type. Valid values are:

-   `ARTICLES_OF_ASSOCIATION`: indicates the articles of association.
-   `ENTERPRISES_ANNUAL_INSPECTION_REPORT`: indicates the enterprise annual inspection report.
-   `PROOF_OF_ADDRESS`: indicates the proof of address.
-   `OTHER_MATERIAL`: indicates other materials.
-   `REGISTRATION_CERTIFICATE`: indicates the registration certificate.
-   `TRANSACTION_RECEIPT`: indicates the transaction receipt.
-   `PROOF_OF_DELIVERY`: indicates the proof of delivery.
-   `MERCHANT_INFORMATION`: indicates the merchant information.
-   `END_USER_INFORMATION`: indicates the information of the end-user, also called the buyer.
-   `OTHER_DOCUMENTATION`: indicates other documents.
-   `MERCHANT_NOT_REFUND_RECORDS`: indicates the supporting documents that are used to prove that the merchant does not refund.
-   `SUPPORTING_DOCUMENTATION`: indicates the supporting documents.

##### file (String)

The attachment file.

Specify this parameter if _content_ is not specified.

More information:

- Maximum length: 1024 characters

##### attachmentName (String)

The name of the attachment.

More information:

- Maximum length: 128 characters

##### content (String)

The attachment content in Base64 format. 

Specify this parameter if _file_ is not specified.

More information:

- Maximum length: 2048000 characters

##### contentType (String)

The type of content format. Valid values are `pdf`, `doc`, `docx`, `xls`, `xlsx`, `bmp`, `jpg`, `jpeg`, `png`, and `gif`.

Specify this parameter if _content_ is specified.

More information:

- Maximum length: 8 characters

#### remarks (String)

Supplementary information.

It is recommended to specify this parameter if the MPP has any additional information that needs to be remarked.

More information:

- Maximum length: 1024 characters

## Response parameters

#### result (Result, REQUIRED)

The result of the business processing, including the result status, result code and the result message. This parameter only indicates the request result, but does not indicate whether the escalation is processed.

##### resultCode (String, REQUIRED)

The result code that indicates the detailed processing result.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

The result status that indicates the processing result. Valid values are:

-   `S`: Successful
-   `F`: Failed
-   `U`: Unknown

##### resultMessage (String)

The result message that describes the result code in detail.

More information:

- Maximum length: 256 characters

#### disputeId (String)

The unique ID that is assigned by Alipay+ to identify an escalation.

This parameter is returned by Alipay+ if _result.resultStatus_ is `S`.

More information:

- Maximum length: 64 characters

## More information

### How to handle the result

You might receive different results from Alipay+. Follow the instructions below to handle the result.

<table id="XU8CC" style="width:750px;outline:none;border-collapse:collapse;border:1px solid rgb(217, 217, 217)" class="lake-table"><colgroup><col width="187" span="1"><col width="187" span="1"><col width="187" span="1"><col width="189" span="1"></colgroup><tbody><tr style="height:33px"><td style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="d075d56a9449070c9fa1f278d7600806" data-lake-id="e4e90dc8df712110c437867dfde61db7" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><em><strong><span>result.resultStatus</span></strong></em></p></td><td style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="a6de6b0cce1311a86855f8c3170bfef6" data-lake-id="8252c17dc77665bfcecef6dd02f78d88" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><em><strong><span>result.resultCode</span></strong></em></p></td><td style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="016b798cf8c2a2363230f343a1e43be4" data-lake-id="cdff65f6f7578570e13a2f9017dfaa19" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span>Dispute status</span></strong></p></td><td style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u85e61f36" data-lake-id="0cf826abe757502dae6c174b7be1a037" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span>Actions</span></strong></p></td></tr><tr style="height:33px"><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u70e7908a" data-lake-id="3283cb34596477aade5ebd5972bb95f4" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>S</span></code></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="65263fd43ad29aa73d017f638940f11a" data-lake-id="b5d147b7078cbf2dde7578492d59bebf" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>SUCCESS</span></code></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u5c548119" data-lake-id="e940836a72df1c0464b6285fcbcab6d8" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>The Escalation is initiated successfully.</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u2d39d725" data-lake-id="486dfbfb53b504b01721a00b99e040bf" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Wait for the response to the Retrieval Request from Alipay+ via the </span><strong><span>responseEscalation</span></strong><span> API.</span></p></td></tr><tr style="height:33px"><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="ufe024bbd" data-lake-id="c224cfe1c68a4f207f5733b454489617" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>F</span></code></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="ffec1685c14eedf46f6d80e97cd7d5e8" data-lake-id="16297e2d49f4dfd5d950591be819f6c0" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Multiple possible values exist, such as </span></p><p id="u30224224" data-lake-id="c130a60c1bfbcb2a65b770257badd5e4" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>ACCESS\_DENIED</span></code><span>, </span></p><p id="u44a508b6" data-lake-id="f27cfe6ab4c97e9d562951cca4ddb544" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>KEY\_NOT\_FOUND</span></code><span>, etc.</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="uba902b12" data-lake-id="721984f17473a09cee9ccf1e4fa6a318" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>The Escalation fails to be initiated.</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u75f4547d" data-lake-id="a4ee244d9c4970562a9deb1309f22bc9" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Take actions according to the result code (specified in the </span><em><span>result.resultCode </span></em><span>parameter). For more information, see the </span><em><span>Result codes</span></em><span> section below.</span></p></td></tr><tr style="height:33px"><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u9fb966bf" data-lake-id="4db90d15fd03aab14bb0cac61070da11" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>U</span></code></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="2f04c229b6fc67e52a27f35638ad33f8" data-lake-id="c6cb19ff49b8dbc72cf1c42b192c7f7b" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Multiple possible values exist, such as </span></p><p id="u7f584bbc" data-lake-id="b72033f4fc2684b3494929980e3f09e9" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>UNKNOWN\_EXCEPTION</span></code><span>, </span></p><p id="u50eb2a45" data-lake-id="e39fedf3f1f7cf8c84402715499789b4" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span>REQUEST\_TRAFFIC\_EXCEED\_LIMIT</span></code><span>, etc.</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u17cd7318" data-lake-id="d296a6b340c2a8781b86273ee0a83fc4" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Unknown</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="affbd959f3bbabf61a4f88ccf91aa3ca" data-lake-id="3c97631bf9f2e9ba9ea052086bfa5bb9" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Use the same parameters to retry the </span><strong><span>initiateEscalation</span></strong><span> request. If you keep receiving the same result indicating the unknown status, contact </span><a href="mailto:connect\_support@service.alipay.com" target="\_blank"><span>connect\_support@service.alipay.com</span></a><span>.</span></p></td></tr><tr style="height:33px"><td colspan="2" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u27753d64" data-lake-id="3a82a47c90a64dc87b163e9829ecfb91" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>No result received</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u59f6ae00" data-lake-id="755948054bf59208924636526103f809" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Unknown</span></p></td><td style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p id="u789152cc" data-lake-id="e020cacd756c3581371f3e95403f6d8c" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span>Use the same parameters to retry the </span><strong><span>initiateEscalation </span></strong><span>request. If you keep receiving no result, contact </span><a href="mailto:connect\_support@service.alipay.com" target="\_blank"><span>connect\_support@service.alipay.com</span></a><span>.</span></p></td></tr></tbody></table>

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | N/A |
| ACCESS_DENIED | F | The access is denied. | N/A |
| CURRENCY_NOT_SUPPORT | F | Illegal parameters exist. For example, a non-numeric input, or an invalid date. | N/A |
| ESCALATION_AMOUNT_EXCEED_LIMIT | F | The escalation amount exceeds the maximum available dispute amount. | Ensure the escalation amount is no more than the maximum available dispute amount. |
| EXCEEDS_ESCALATION_REQUEST_LIMIT | F | The number limit of the escalation request for the transaction is exceeded. | N/A |
| INVALID_CLIENT | F | The client is invalid. | N/A |
| INVALID_SIGNATURE | F | The signature is invalid. | N/A |
| KEY_NOT_FOUND | F | The key is not found. | N/A |
| MEDIA_TYPE_NOT_ACCEPTABLE | F | The server does not implement the media type that is acceptable to the client. | N/A |
| METHOD_NOT_SUPPORTED | F | The server does not implement the requested HTTP method. | N/A |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the request URL is correct. Ensure that the endpoint of the called API is correct. |
| ORDER_NOT_EXIST | F | The order doesn't exist. | N/A |
| PARAM_ILLEGAL | F | Illegal parameters. For example, non-numeric input, invalid date. | Check whether the request parameters, including the header parameters and body parameters, are correct and valid. For more information about the parameters of each API, see the Structure section of the specific API reference topic. |
| PROCESS_FAIL | F | A general business failure occurred. Don't retry. | N/A |
| SPECIAL_MERCHANT_REQUIRES_MERCHANT_DISPUTE_ID | F | merchantDisputeId is required of Special Merchants. | N/A |
| SPECIAL_MERCHANT_REQUIRES_MERCHANT_CUSTOMER_ID | F | customerIdAssignedByMerchant is required of Special Merchants. | N/A |
| SPECIAL_MERCHANT_REQUIRES_MERCHANT_NOT_REFUND_RECORD | F | merchantNotRefundRecord is required of Special Merchants. | N/A |
| REQUEST_TRAFFIC_EXCEED_LIMIT | U | The request traffic exceeds the limit. | N/A |
| UNKNOWN_EXCEPTION | U | An API calling is failed, which is caused by unknown reasons. | N/A |

## Request

### ALIPAY, ALIPAY_HK, DANA, H5, DIRECT

```json
{
  "disputeRequestId": "201811291907410200070000000000",
  "paymentRequestId": "202111291907410200070000000000",
  "disputeReasonCode": "7801",
  "disputeReasonCodeDescription": "MERCHANDIZE_OR_SERVICE_NOT_RECEIVED",
  "escalationAmount": {
    "currency": "HKD",
    "value": "100"
  },
  "remarks": "remark"
}
```

## Response

```json
{
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "success",
    "resultStatus": "S"
  },
  "disputeId": "202102231907410200070000000000"
}
```